Subject: Re: bug#23137: 25.1.50; Subpixel rendering is broken when not running under gnome-session

From: Matthew Leach <[email-masked]>
Date: Tue, 29 Mar 2016 22:13:14 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Matthew Leach <[email-masked]>
>> Cc: [email-masked]
>> Date: Tue, 29 Mar 2016 08:05:20 +0100
>> 
>> >> I sometimes switch between two WMs, namely i3 and GNOME3.  I've noticed
>> >> that under GNOME3, the font rendering in Emacs seems to be, in my
>> >> opinion, nicer than in i3.  The difference is that under GNOME3 Emacs
>> >> uses subpixel rendering and not in i3.
>> >
>> > What is "subpixel rendering"?
>> 
>> [1] gives an overview of what it is and the 'rgba' values in [2] show
>> how to configure it.  I think MS use the term ClearType on their Windows
>> platform.
>
> Then why do you think it's an Emacs problem?

I think it's an Emacs problem, because it is not behaving as configured,
even though other GTK applications do.

> Are the binaries used on both machines from the same build?  

Indeed, it is the same binary on the same machine, I just switch desktop
environments.  If I switch from i3 (an X11 WM) to GNOME3, Emacs uses
subpixel rendering, whereas other packages use it under both scenarios.

> If not, please show the value of system-configuration-features from
> both builds.

The value of this on my machine is:

"XPM JPEG TIFF GIF PNG RSVG SOUND GPM DBUS GSETTINGS NOTIFY ACL GNUTLS
LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11"

Thanks,
-- 
Matt